# TimeBase.pidl File Reference

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TimeBase

## Classes

struct | TimeBase::UtcT
| A timestamp in UTC time. More...
struct | TimeBase::IntervalT
| An UTC time interval. More...

## Typedefs

typedef unsigned long long | TimeT
| Time in TimeT is expressed in units of 100 nano seconds.
typedef TimeT | InaccuracyT
| To express an error estimate for time.
typedef short | TdfT
| Minutes of displacement from the Greenwich time.

## Detailed Description

Id
  TimeBase.pidl,v 1.11 2005/04/12 08:32:44 jwillemsen Exp

This file was used to generate the code in TimeBase{C,S,S_T}.{h,i,cpp}

The command used to generate code from this file is:

tao_idl.exe -o orig -Ge 1 -GA -SS -Sci -Wb,export_macro=TAO_Export -Wb,export_include=tao/TAO_Export.h -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" TimeBase.pidl

After that the files are ready for use

## Typedef Documentation

typedef TimeT TimeBase::InaccuracyT

| To express an error estimate for time.

typedef CORBA::Short TimeBase::TdfT

| Minutes of displacement from the Greenwich time.

typedef CORBA::ULongLong TimeBase::TimeT

| Time in TimeT is expressed in units of 100 nano seconds. In other words each TimeT is 10^-7 seconds. When used for absolute time 0 is to October 15, 1582. Please read the spec for further details.